{
    "name": "cmscommons",
    "version": "0.0.1",
    "private": true,
    "main": "dist/index.js",
    "typings": "dist/index.d.ts",
    "description": "CMS Commons library",
    "scripts": {
        "build": "se-packagr",
        "docs": "compodoc -t -p tsconfig.compodoc.json",
        "test": "se-test",
        "lint": "npm run lint:base -- 'src/**/*.{js,ts}'",
        "lint:base": "eslint"
    },
    "files": [
        "/dist"
    ],
    "devDependencies": {
        "@smartedit/packagr": "0.0.1",
        "smartedit-build": "0.0.1",
        "@compodoc/compodoc": "1.1.19",
        "@types/angular": "1.7.3",
        "@types/angular-animate": "1.5.10",
        "@types/angular-cookies": "1.8.0",
        "@types/angular-mocks": "1.7.0",
        "@types/angular-route": "1.7.1",
        "@types/angular-sanitize": "1.7.0",
        "@types/angular-translate": "2.16.2",
        "@types/angular-ui-bootstrap": "0.13.47",
        "@types/ckeditor4": "4.16.1",
        "@types/crypto-js": "3.1.43",
        "@types/eonasdan-bootstrap-datetimepicker": "4.17.26",
        "@types/fetch-mock": "7.3.2",
        "@types/jasmine": "3.3.0",
        "@types/jquery": "3.3.38",
        "@types/lodash": "4.14.159",
        "@types/node": "14.11.2",
        "@types/scriptjs": "0.0.2",
        "@types/webpack-env": "1.15.2",
        "techne": "1.5.10",
        "fiori-fundamentals": "1.5.10",
        "reflect-metadata": "0.1.13",
        "eslint": "7.9.0",
        "@typescript-eslint/eslint-plugin": "4.1.1",
        "@typescript-eslint/parser": "4.1.1",
        "eslint-config-prettier": "6.11.0",
        "eslint-plugin-import": "2.22.0",
        "eslint-plugin-jsdoc": "30.5.1",
        "eslint-plugin-prefer-arrow": "1.2.2",
        "eslint-plugin-deprecation": "1.1.0",
        "eslint-plugin-ban": "1.5.1",
        "eslint-plugin-prettier": "3.1.4",
        "typescript": "3.9.3"
    },
    "dependencies": {
        "smarteditcommons": "0.0.1",
        "smartedit-build": "0.0.1",
        "@angular/animations": "8.2.14",
        "@angular/cdk": "8.2.3",
        "@angular/common": "8.2.14",
        "@angular/compiler": "8.2.14",
        "@angular/core": "8.2.14",
        "@angular/elements": "8.2.14",
        "@angular/forms": "8.2.14",
        "@angular/platform-browser": "8.2.14",
        "@angular/platform-browser-dynamic": "8.2.14",
        "@angular/router": "8.2.14",
        "@angular/upgrade": "8.2.14",
        "@fundamental-ngx/core": "0.13.2",
        "@ngx-translate/core": "11.0.1",
        "@ngx-translate/http-loader": "4.0.0",
        "@sap-theming/theming-base-content": "11.1.19",
        "@webcomponents/webcomponentsjs": "2.4.3",
        "angular": "1.8.0",
        "angular-animate": "1.8.0",
        "angular-cookies": "1.8.0",
        "angular-mocks": "1.8.0",
        "angular-route": "1.8.0",
        "angular-sanitize": "1.8.0",
        "angular-translate": "2.18.3",
        "angular-ui-bootstrap": "2.5.6",
        "angular-ui-tree": "2.22.6",
        "bootstrap": "3.4.1",
        "ckeditor4": "4.18.0",
        "core-js": "2.6.5",
        "crypto-js": "4.0.0",
        "eonasdan-bootstrap-datetimepicker": "4.17.47",
        "font-awesome": "4.7.0",
        "intersection-observer": "0.7.0",
        "jquery": "3.5.1",
        "lodash": "4.17.21",
        "moment": "2.24.0",
        "ng-infinite-scroll": "1.3.0",
        "popper.js": "1.16.1",
        "protractor-http-client": "1.0.4",
        "resize-observer-polyfill": "1.5.1",
        "rxjs": "6.5.4",
        "scriptjs": "2.5.9",
        "select2": "4.0.13",
        "tslib": "1.10.0",
        "ui-select": "0.19.8",
        "whatwg-fetch": "3.0.0",
        "zone.js": "0.9.1"
    }
}
